Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRBreak

All Superinterfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRPropertiesHolder, JRStyleContainer, JRVisitable

All Known Implementing Classes:
  JRBaseBreak, JRDesignBreak, JRFillBreak

    public interface JRBreak

extends JRElement

An abstract representation of a break element.

Version:
  $Id: JRBreak.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `TYPE_COLUMN` Deprecated. Replaced by `BreakTypeEnum.COLUMN`.
`static byte` | `TYPE_PAGE` Deprecated. Replaced by `BreakTypeEnum.PAGE`.

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Method Summary
`byte` | `getType()` Deprecated. Replaced by `getTypeValue()`.
`BreakTypeEnum` | `getTypeValue()` Gets the break type.
`void` | `setType(BreakTypeEnum breakTypeEnum)` Sets the break type.
`void` | `setType(byte type)` Deprecated. Replaced by `setType(BreakTypeEnum)`.

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Field Detail

### TYPE_PAGE

    static final byte TYPE_PAGE

  Deprecated. Replaced by `BreakTypeEnum.PAGE`.
  See Also:
    Constant Field Values

### TYPE_COLUMN

    static final byte TYPE_COLUMN

  Deprecated. Replaced by `BreakTypeEnum.COLUMN`.
  See Also:
    Constant Field Values

Method Detail

### getType

    byte getType()

  Deprecated. Replaced by `getTypeValue()`.

### setType

    void setType(byte type)

  Deprecated. Replaced by `setType(BreakTypeEnum)`.

### getTypeValue

    BreakTypeEnum getTypeValue()

  Gets the break type.

  Returns:
    a value representing one of the break type constants in `BreakTypeEnum`

### setType

    void setType(BreakTypeEnum breakTypeEnum)

  Sets the break type.

  Parameters:
    `breakTypeEnum` - a value representing one of the break type constants in `BreakTypeEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com